<!DOCTYPE html>
<html>
    <head>
        <title>Lab 0</title>
        <style>
            ul {margin:auto; list-style:none;}
            a {color:blue; text-decoration: none;}
            a:visited {text-decoration: none; color:blue}
        </style>
        <script>
            function button1click()
            {
                document.getElementById("list-add").removeAttribute("hidden");
            }
            function button2click()
            {
                var textToAdd = document.getElementById("input1").value;
                if (textToAdd != "")
                {
                    var newListItem=document.createElement("li");
                    var newCheckbox=document.createElement("input");
                    newCheckbox.setAttribute("type","checkbox");
                    var newLink=document.createElement("a");
                    newLink.setAttribute("href","#");
                    newLink.innerText=textToAdd;
                    newListItem.appendChild(newCheckbox);
                    newListItem.appendChild(newLink);
                    document.getElementById("list1").appendChild(newListItem);
                }
            }
            function button3click()
            {
                for (const element of document.getElementById("list1").children)
                {
                    if(element.children[0].checked)
                        document.getElementById("list1").removeChild(element);
                }
            }
        </script>
    </head>
    <body>
        <h1>Список покупок</h1>
        <ul id="list1">
            <li><input type="checkbox"><a href="https://sixtynine.com.ua/wp-content/uploads/2021/07/chorna-oversize-no-logo-pered.jpg">Футболка</a></li>
            <li><input type="checkbox"><a href="https://static.cropp.com/media/catalog/product/cache/1200/a4e40ebdc3e371adff845072e1c73f37/5/4/5474N-87X-001-1-532767_5.jpg">Штани</a></li>
            <li><input type="checkbox"><a href="https://static.reserved.com/media/catalog/product/cache/1200/a4e40ebdc3e371adff845072e1c73f37/9/5/9510O-90X-010-1-553911_4.jpg">Шапка</a></li>
        </ul>
        <br>
        <p hidden id="list-add">
        <input type="text" id="input1">
        <button onclick="button2click()">Add</button>
        </p>
        <button onclick="button1click()">Open</button>
        <button onclick="button3click()">Delete</button>
    </body>
</html> 